#include <minigui.ch>


PROC Main()

   OpenTabl() 
   
   DEFINE WINDOW frmQSMain  ;
      AT     0,0 ;
      WIDTH  GetDesktopWidth()  * 0.75 ;
      HEIGHT GetDesktopHeight() * 0.75 ;
      TITLE  "Quick Search Implementation on HMG Reference Guide" ;
      MAIN  

      ON KEY ESCAPE ACTION frmQSMain.Release

      DEFINE TEXTBOX tbxSearch
         ROW    10
         COL    10
         WIDTH  220
         HEIGHT 24 
         ON CHANGE { || DBSEEK( UPPER( this.Value ), .T. ), frmQSMain.brwItems.Value := HMGRG->(RECN()) }
      END TEXTBOX // tbxSearch
      
      DEFINE BROWSE brwItems 
         ROW       40
         COL       10
         WIDTH     220 
         HEIGHT    490 
         HEADERS   { "" }                  // Unluckily we havn't "NOHEADER" option :(
         WIDTHS    { 190 }
         WORKAREA  HMGRG
         FIELDS    { 'HMGRG->TPCNAME' }
         ON CHANGE { || DBGOTO( this.Value ), frmQSMain.ebxTopic.Value := HMGRG->TPCDATA }
         NOLINES   .T.
      END BROWSE // brwItems 

      DEFINE EDITBOX ebxTopic
         ROW    10
         COL    240
         WIDTH  500
         HEIGHT 520
         VALUE  HMGRG->TPCDATA 
      END EDITBOX // ebxTopic 

   END WINDOW  // frmQSMain

   frmQSMain.Center

   frmQSMain.Activate 

RETU // HMG_HELP Main()

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROC OpenTabl() 

   IF FILE( "HMG_RG.DBF" ) .AND. FILE( "HMG_RG.DBT" ) 
      USE HMG_RG ALIAS HMGRG
      IF ALIAS() == "HMGRG"
         IF FILE( "HMG_RG.NTX" )
            SET INDE TO HMG_RG
         ELSE
            INDE ON UPPER( TPCNAME ) TO HMG_RG   
         ENDIF FILE( "HMG_RG.NTX" )            
      ELSE
         MsgStop( "Can't open table !" + CRLF + CRLF + "Program terminated.", "Open Error" )  
         QUIT
      ENDIF ALIAS() == "HMGRG"
   ELSE
      MsgStop( "Required table not found !" + CRLF + CRLF + "Program terminated.", "File not found" )
      QUIT
   ENDIF FILE( "HMG_RG.DBF" ) .AND. FILE( "HMG_RG.DBT" ) 
   
RETU // OpenTabl() 

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.






 


